<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>iminpaint</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imhistequal.html">&lt;&lt; imhistequal</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_66be415d912567cd351e37e73bc467f0.html">Image Enhancement and Restoration</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="immedian.html">immedian &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_66be415d912567cd351e37e73bc467f0.html">Image Enhancement and Restoration</a> &gt; iminpaint</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">iminpaint</h1>
    <p class="refpurpose">Restores the selected region in an image using the region neighborhood</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">imout</span><span class="default"> = </span><span class="functionid">iminpaint</span><span class="default">(</span><span class="default">imin</span><span class="default">,</span><span class="default">mask</span><span class="default">,</span><span class="default">rad</span><span class="default">,</span><span class="default">method</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">imin :</span>
      <dd><p class="para">Input Image</p></dd></dt>
   <dt><span class="term">mask :</span>
      <dd><p class="para">Input mask</p></dd></dt>
   <dt><span class="term">rad :</span>
      <dd><p class="para">Radius of a circular neighborhood of each point inpainted that is considered by the algorithm</p></dd></dt>
   <dt><span class="term">method :</span>
      <dd><p class="para">Inpainting method that could be either 0 --&gt; Navier-Stokes based method or 1 --&gt; Method by Alexandru Telea</p></dd></dt>
   <dt><span class="term">imout :</span>
      <dd><p class="para">Output Image</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">The function reconstructs the selected image area from the pixel near the area boundary.
The function may be used to remove dust and scratches from a scanned photo, or to remove undesirable objects from still images or video.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/coins_gray.jpg</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">mask</span> <span class="scilaboperator">=</span> <span class="scilabid">imroi</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imout</span> <span class="scilaboperator">=</span> <span class="scilabid">iminpaint</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabdefault">,</span><span class="scilabid">mask</span><span class="scilabdefault">,</span><span class="scilabnumber">1</span><span class="scilabdefault">,</span><span class="scilabnumber">1</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabcommand" href="scilab://figure">figure</a><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">imout</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imroi.html" class="link">imroi</a></li>
   <li class="member"><a href="imroifilt.html" class="link">imroifilt</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>

<div class="refsection"><h3 class="title">Bibliography</h3>
   <p class="para">1. http://en.wikipedia.org/wiki/Inpainting</p></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imhistequal.html">&lt;&lt; imhistequal</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_66be415d912567cd351e37e73bc467f0.html">Image Enhancement and Restoration</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="immedian.html">immedian &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
